(defn fib [n]
  (if (< n 2) n (+ (fib (- n 1)) (fib (- n 2)))))

(time (println (fib 40)))

(def fibMemoized
  (memoize (fn [n]
    (if (< n 2) n (+ (fibMemoized (- n 1)) (fibMemoized (- n 2)))))))

(time (println (fibMemoized 40)))
